Skip to main content
`Ctrl`+`K`

# VECSEQCUDA

VECSEQCUDA = “seqcuda” - The basic sequential vector, modified to use CUDA

## Options Database Key

- -vec_type seqcuda - sets the vector type to `VECSEQCUDA` during a call to `VecSetFromOptions()`

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECSEQ`, `VecType`, `VecCreateMPI()`, `VecSetPinnedMemoryMin()`, `VECCUDA`, `VECHIP`, VECMPICUDA`,` VECMPIHIP`,` VECSEQHIP`

## Level

beginner

## Location

src/vec/vec/impls/seq/cupm/cuda/vecseqcupm.cu

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages